classification
Title: Use partition and enumerate make getopt easier
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: dongwm, ethan.furman, ezio.melotti, rhettinger
Priority: normal Keywords: patch

Created on 2014-01-31 16:16 by dongwm, last changed 2014-06-19 22:15 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
getopt_2.7_3.X.path dongwm, 2014-01-31 16:16 review
getopt_3.3.patch dongwm, 2014-01-31 16:16 review
Messages (7)
msg211283 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-02-15 15:51
Thanks for the patches.
Are these parts of the code covered by tests?  If not, can you also provide tests for it?
msg211799 - (view) Author: dongwm (dongwm) * Date: 2014-02-21 04:47
Yes, it has tests. I just modified do_longs and short_has_arg. In Lib/test/test_getopt.py, test_do_longs and test_short_has_arg can do it.
msg211800 - (view) Author: dongwm (dongwm) * Date: 2014-02-21 04:49
I have signed the contributor agreement form. The new version of the official web site seem some css style display problems.
msg212104 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-02-24 14:49
FWIW, I don't find the new patch to be any clearer than the original.
msg212157 - (view) Author: dongwm (dongwm) * Date: 2014-02-25 02:22
Oh, really no big improvement in function, but I have been using the functionality provided by python.
msg212162 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-02-25 05:47
I recommend we leave the code alone.  No need for code churn unless there is a real improvement in code quality.
msg221041 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-06-19 22:15
Based on Raymond's comment I'm going to close this.
Thanks anyway for the patch.
History
Date User Action Args
2014-06-19 22:15:16ezio.melottisetstatus: open -> closed
resolution: rejected
messages: + msg221041

stage: patch review -> resolved
2014-02-25 05:47:57rhettingersetmessages: + msg212162
2014-02-25 02:22:53dongwmsetmessages: + msg212157
2014-02-24 14:49:25rhettingersetnosy: + rhettinger
messages: + msg212104
2014-02-21 04:49:39dongwmsetmessages: + msg211800
2014-02-21 04:47:10dongwmsetmessages: + msg211799
2014-02-15 15:51:19ezio.melottisetversions: + Python 3.5, - Python 3.1, Python 2.7, Python 3.2, Python 3.3
nosy: + ezio.melotti

messages: + msg211283

stage: patch review
2014-01-31 16:31:05ethan.furmansetnosy: + ethan.furman
2014-01-31 16:16:54dongwmsetfiles: + getopt_3.3.patch
keywords: + patch
2014-01-31 16:16:40dongwmcreate